| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::AbstractDetector Class Referenceabstract
Inheritance diagram for Digikam::AbstractDetector:

## Public Member Functions
| AbstractDetector (QObject *const parent=nullptr)
virtual float | detect (const cv::Mat &image) const =0

## Static Public Member Functions
static cv::Mat | prepareForDetection (const DImg &inputImage)

## Member Function Documentation

## ◆ prepareForDetection()

cv::Mat Digikam::AbstractDetector::prepareForDetection | ( | const DImg & | inputImage | ) |
| static

Note
  Maybe this function will move to read_image() of imagequalityparser in case all detectors of IQS use cv::Mat.